
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Skybox by KittyWumpus, textures by Hazel Whorley


textures/ut4_queensgambit/qg_queensky
{
	qer_editorimage env/ut4_queensgambit/sahara_bk.tga

	skyparms env/ut4_queensgambit/sahara 1024 -

	q3map_sunEXT 1 1 1 600 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 300 3
	q3map_globaltexture
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps	
}

// ---=== NoDamage Textures ===---

textures/ut4_queensgambit/pr_brick050:q3map
{
	surfaceparm nodamage
}


// ---=== Watercaulk ===---

textures/ut4_queensgambit/qg_watercaulk
{
	qer_editorimage textures/ut4_queensgambit/liquids/pool3d_3.tga
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

// ---=== Water ===---

textures/ut4_queensgambit/qg_clear_ripple3
{
	qer_editorimage textures/ut4_queensgambit/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_queensgambit/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_queensgambit/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_queensgambit/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/ut4_queensgambit/qg_waterfall1
{
//	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	cull disable

	qer_editorimage textures/ut4_queensgambit/duck_pool3d_5c.tga
	qer_nocarve
	qer_trans 0.7

	{
		map textures/ut4_queensgambit/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.1 1.3
	}
	{
		map textures/ut4_queensgambit/duck_pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.1 1.1
	}
	{
		map textures/ut4_queensgambit/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}



textures/ut4_queensgambit/qg_waterfall2
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_queensgambit/duck_pool5.tga

//	deformVertexes bulge 1 1 4
//	deformVertexes wave 16 sin 0 2 0 .5

	{
		map textures/ut4_queensgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 -2.0
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0 -1.9
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}


// low waterflow

textures/ut4_queensgambit/qg_waterfall_slw
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_queensgambit/duck_pool5.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_queensgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -2.1
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/duck_pool6.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -2.2
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/duck_pool5.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== nonsolids ===---
// spawn hall wall

textures/ut4_queensgambit/qg_pr_brick061_ns
{
	qer_editorimage textures/ut4_queensgambit/pr_brick061_25p.tga
	qer_trans 0.9
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64	
	{	
		map textures/ut4_queensgambit/pr_brick061_25p.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_queensgambit/qg_pr_brick050_ns
{
	qer_editorimage textures/ut4_queensgambit/pr_brick050_25p.tga
	qer_trans 0.9
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64	
	{	
		map textures/ut4_queensgambit/pr_brick050_25p.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/ut4_queensgambit/qg_socstone09a_ns
{
	qer_editorimage textures/ut4_queensgambit/soc_stone09a.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/ut4_queensgambit/soc_stone09a.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_queensgambit/qg_v064-03d_ns
{
	qer_editorimage textures/ut4_queensgambit/soc_v064-03d.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/ut4_queensgambit/soc_v064-03d.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_queensgambit/qg_v064-03dr_ns
{
	qer_editorimage textures/ut4_queensgambit/soc_v064-03dr.tga
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/ut4_queensgambit/soc_v064-03dr.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

// flames 

textures/ut4_queensgambit/qg_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_queensgambit/flame7.tga
	

	{
		animMap 10 textures/ut4_queensgambit/flame1.tga textures/ut4_queensgambit/flame2.tga textures/ut4_queensgambit/flame3.tga textures/ut4_queensgambit/flame4.tga textures/ut4_queensgambit/flame5.tga textures/ut4_queensgambit/flame6.tga textures/ut4_queensgambit/flame7.tga textures/ut4_queensgambit/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_queensgambit/flame2.tga textures/ut4_queensgambit/flame3.tga textures/ut4_queensgambit/flame4.tga textures/ut4_queensgambit/flame5.tga textures/ut4_queensgambit/flame6.tga textures/ut4_queensgambit/flame7.tga textures/ut4_queensgambit/flame8.tga textures/ut4_queensgambit/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_queensgambit/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut4_queensgambit/qg_flame_b
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_queensgambit/flame7_b.tga
	

	{
		animMap 10 textures/ut4_queensgambit/flame1_b.tga textures/ut4_queensgambit/flame2_b.tga textures/ut4_queensgambit/flame3_b.tga textures/ut4_queensgambit/flame4_b.tga textures/ut4_queensgambit/flame5_b.tga textures/ut4_queensgambit/flame6_b.tga textures/ut4_queensgambit/flame7_b.tga textures/ut4_queensgambit/flame8_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_queensgambit/flame2_b.tga textures/ut4_queensgambit/flame3_b.tga textures/ut4_queensgambit/flame4_b.tga textures/ut4_queensgambit/flame5_b.tga textures/ut4_queensgambit/flame6_b.tga textures/ut4_queensgambit/flame7_b.tga textures/ut4_queensgambit/flame8_b.tga textures/ut4_queensgambit/flame1_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_queensgambit/flameball_b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// ---=== spawn sheets ===---

textures/ut4_queensgambit/qg_spwn_h_b
{
	qer_editorimage textures/ut4_queensgambit/spawn_hall_b.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_queensgambit/spawn_hall_b.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_queensgambit/qg_spwn_h_r
{
	qer_editorimage textures/ut4_queensgambit/spawn_hall_r.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_queensgambit/spawn_hall_r.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_queensgambit/qg_spwn_m_b
{
	qer_editorimage textures/ut4_queensgambit/spawn_main_b.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_queensgambit/spawn_main_b.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_queensgambit/qg_spwn_m_r
{
	qer_editorimage textures/ut4_queensgambit/spawn_main_r.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_queensgambit/spawn_main_r.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

// oozes

textures/ut4_queensgambit/qg_oozecaulk
{
qer_editorimage textures/ut4_queensgambit/ooze_blue.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

textures/ut4_queensgambit/qg_oozblue
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_queensgambit/ooze_blue.tga
	q3map_surfacelight 1000

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_queensgambit/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_queensgambit/qg_oozred
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_queensgambit/ooze_red.tga
	q3map_surfacelight 1000

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_queensgambit/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_red.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_queensgambit/qg_oozyellow
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_queensgambit/ooze_yellow.tga
	q3map_surfacelight 800

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_queensgambit/ooze_yellow.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_yellow_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_yellow.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_queensgambit/ooze_yellow.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== Soc Shaders ===---

textures/ut4_queensgambit/qg_grate1a
{
	qer_editorimage textures/ut4_queensgambit/soc_grate1a.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/ut4_queensgambit/soc_grate1a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_queensgambit/qg_grate1a_ns
{
	qer_editorimage textures/ut4_queensgambit/soc_grate1a.tga
	surfaceparm	metalsteps
	surfaceparm nonsolid		
	cull none
	{
		map textures/ut4_queensgambit/soc_grate1a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_queensgambit/qg_lig_b064-03b
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_b064-03b.tga
	{
		map textures/ut4_queensgambit/soc_lig_b064-03b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/ut4_queensgambit/soc_lig_b064-03b.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}

textures/ut4_queensgambit/qg_lig_b064-03d
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_b064-03d.tga
	{
		map textures/ut4_queensgambit/soc_lig_b064-03d.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/ut4_queensgambit/soc_lig_b064-03y.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}

textures/ut4_queensgambit/qg_lig_b064-03f
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_b064-03f.tga
	{
		map textures/ut4_queensgambit/soc_lig_b064-03f.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/ut4_queensgambit/soc_lig_b064-03r.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}
 // soc ankhs
textures/ut4_queensgambit/qg_lig_064-01b1-2k
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_064-01b1.tga
	q3map_lightimage textures/ut4_queensgambit/soc_lig_064-01b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}


textures/ut4_queensgambit/qg_lig_064-01b2-2k
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_064-01b2.tga
	q3map_lightimage textures/ut4_queensgambit/soc_lig_064-01b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01b2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_queensgambit/qg_lig_064-01r1-2k
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_064-01r1.tga
	q3map_lightimage textures/ut4_queensgambit/soc_lig_064-01r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01r1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}


textures/ut4_queensgambit/qg_lig_064-01r2-2k
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_064-01r2.tga
	q3map_lightimage textures/ut4_queensgambit/soc_lig_064-01r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01r2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_queensgambit/qg_lig_064-01w1-2k
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_064-01w1.tga
	q3map_lightimage textures/ut4_queensgambit/soc_lig_064-01w.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01w1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_queensgambit/qg_lig_064-01w2-2k
{
	qer_editorimage textures/ut4_queensgambit/soc_lig_064-01w2.tga
	q3map_lightimage textures/ut4_queensgambit/soc_lig_064-01w.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01w2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_lig_064-01w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

// soc tile lighted

textures/ut4_queensgambit/qg_s128-01wc
{
	qer_editorimage textures/ut4_queensgambit/soc_s128-01c.tga
	q3map_lightimage textures/ut4_queensgambit/soc_s128-01b.blend.tga
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_s128-01c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_s128-01b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_queensgambit/qg_s128-01wcr
{
	qer_editorimage textures/ut4_queensgambit/soc_s128-01cr.tga
	q3map_lightimage textures/ut4_queensgambit/soc_s128-01r.blend.tga
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_s128-01cr.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_s128-01r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

// ---=== Ladderclip ===---

textures/ut4_queensgambit/qg_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

textures/ut4_queensgambit/qg_rope1
{
	qer_editorimage textures/ut4_queensgambit/rope4.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nomarks
	

	{
		map textures/ut4_queensgambit/rope4.tga

	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

//Delirium plant-tree shaders

//moving leaf - multiple bevels, bent for leaves-fronds

textures/ut4_queensgambit/qg_leaf1
{
        qer_editorimage textures/ut4_queensgambit/del_leaf1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_queensgambit/del_leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//moving leaf - multiple bevels
textures/ut4_queensgambit/qg_leaf2
{
        qer_editorimage textures/ut4_queensgambit/del_leaf2.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_queensgambit/del_leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//shrubs - criss-cross patches or very thin brushes

textures/ut4_queensgambit/qg_plant1
{
        qer_editorimage textures/ut4_queensgambit/del_plant1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut4_queensgambit/del_plant1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
 
textures/ut4_queensgambit/qg_plant3
{
        qer_editorimage textures/ut4_queensgambit/del_plant3.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut4_queensgambit/del_plant3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//green moving vines - bevel, top edge bent over top of brush

textures/ut4_queensgambit/qg_vine07
{
	qer_editorimage textures/ut4_queensgambit/plants_soc/del_vine06.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_queensgambit/plants_soc/del_vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//orange moving vines

textures/ut4_queensgambit/qg_vine08
{
	qer_editorimage textures/ut4_queensgambit/plants_soc/del_vine06.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_queensgambit/plants_soc/del_vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// cn_trees  model

// cn_trees version1 Tree-mapmodel (c) QKennyQ 


textures/ut4_queensgambit/qg_liveoak
{
	cull none
	nopicmip
	qer_editorimage textures/ut4_queensgambit/cn_trees/liveoak.tga

	{
		map models/mapobjects/ut4_queensgambit/cn_trees/liveoak.tga
		alphaFunc LE128
		depthWrite
		rgbGen vertex
	}
}


// ======================================================================
// VINE - soc
// ======================================================================

// ----------------------------------------------------------------------

textures/ut4_queensgambit/qg_vine02
{
	qer_editorimage textures/ut4_queensgambit/plants_soc/vine02.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip

	{
		map textures/ut4_queensgambit/plants_soc/vine02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_queensgambit/qg_vine03
{
	qer_editorimage textures/ut4_queensgambit/plants_soc/vine03.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ut4_queensgambit/plants_soc/vine03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_queensgambit/qg_vine04
{
	qer_editorimage textures/ut4_queensgambit/plants_soc/vine04.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/ut4_queensgambit/plants_soc/vine04.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_queensgambit/qg_vine05
{
	qer_editorimage textures/ut4_queensgambit/plants_soc/vine05.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ut4_queensgambit/plants_soc/vine05.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_queensgambit/qg_vine06
{
	qer_editorimage textures/ut4_queensgambit/plants_soc/vine06.tga
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//qer_trans 0.99
	deformVertexes wave 16 sin 0 0.5 0 0.1

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map textures/ut4_queensgambit/plants_soc/vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ======================================================================
// TREE - by Sock, mods by KittyWumpus*
// ======================================================================
textures/ut4_queensgambit/soc_tree01_bark
{
	qer_editorimage textures/ut4_queensgambit/soc_tree01_bark.tga

	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	q3map_clipmodel
	q3map_nonplanar
	q3map_shadeAngle 75

	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	{
		map textures/ut4_queensgambit/soc_tree01_bark.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		//blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_queensgambit/soc_tree01_stump
{
	qer_editorimage textures/ut4_queensgambit/soc_tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_queensgambit/soc_tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_queensgambit/soc_tree01_leaves
{
	qer_editorimage textures/ut4_queensgambit/soc_tree01_leaves.tga
	q3map_cloneShader textures/ut4_queensgambit/soc_tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_queensgambit/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/ut4_queensgambit/soc_tree01_leavesback
{
	qer_editorimage textures/ut4_queensgambit/soc_tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_queensgambit/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

// ---=== Model Shaders ===---

models/mapobjects/ts-torch01/fire01
{
	cull disable
	{
		animmap 8 models/mapobjects/ts-torch01/fire01.tga models/mapobjects/ts-torch01/fire03.tga models/mapobjects/ts-torch01/fire05.tga models/mapobjects/ts-torch01/fire07.tga models/mapobjects/ts-torch01/fire09.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire13.tga models/mapobjects/ts-torch01/fire15.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 8 
	}
	{
		animmap 8 models/mapobjects/ts-torch01/fire02.tga models/mapobjects/ts-torch01/fire04.tga models/mapobjects/ts-torch01/fire06.tga models/mapobjects/ts-torch01/fire08.tga models/mapobjects/ts-torch01/fire10.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire14.tga models/mapobjects/ts-torch01/fire16.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 8 
	}
}

models/mapobjects/ts-torch01/torch
{
	{
		map models/mapobjects/ts-torch01/blood.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 0.1
	}
	{
		map models/mapobjects/ts-torch01/torch.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/ts-torch01/torch-g.tga
		blendfunc add
		rgbGen wave sin 0.25 0.75 0 0.3 
	}
}


